Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.callback
Class PasswordCallback

    java.lang.Object
      javax.security.auth.callback.PasswordCallback

All Implemented Interfaces:
  Serializable, Callback

    public class PasswordCallback

extends Object
implements Callback, Serializable

Underlying security services instantiate and pass a `PasswordCallback` to the `handle` method of a `CallbackHandler` to retrieve password information.

See Also:
  `CallbackHandler`, Serialized Form

Constructor Summary
`PasswordCallback(String prompt, boolean echoOn)` Construct a `PasswordCallback` with a prompt and a boolean specifying whether the password should be displayed as it is being typed.

Method Summary
`void` | `clearPassword()` Clear the retrieved password.
`char[]` | `getPassword()` Get the retrieved password.
`String` | `getPrompt()` Get the prompt.
`boolean` | `isEchoOn()` Return whether the password should be displayed as it is being typed.
`void` | `setPassword(char[] password)` Set the retrieved password.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordCallback

    public PasswordCallback(String prompt,
                            boolean echoOn)

  Construct a `PasswordCallback` with a prompt and a boolean specifying whether the password should be displayed as it is being typed.

  Parameters:
    `prompt` - the prompt used to request the password.

    `echoOn` - true if the password should be displayed as it is being typed.
  Throws:
    `IllegalArgumentException` - if `prompt` is null or if `prompt` has a length of 0.

Method Detail

### getPrompt

    public String getPrompt()

  Get the prompt.

  Returns:
    the prompt.

### isEchoOn

    public boolean isEchoOn()

  Return whether the password should be displayed as it is being typed.

  Returns:
    the whether the password should be displayed as it is being typed.

### setPassword

    public void setPassword(char[] password)

  Set the retrieved password.

  This method makes a copy of the input password before storing it.

  Parameters:
    `password` - the retrieved password, which may be null.
  See Also:
    `getPassword()`

### getPassword

    public char[] getPassword()

  Get the retrieved password.

  This method returns a copy of the retrieved password.

  Returns:
    the retrieved password, which may be null.
  See Also:
    `setPassword(char[])`

### clearPassword

    public void clearPassword()

  Clear the retrieved password.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.